summaryrefslogtreecommitdiff
path: root/resources
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-05-14 11:21:56 +0100
committerLeah Rowe <leah@libreboot.org>2023-05-14 11:21:56 +0100
commitdb3c1d9ccf64127e64f0bbce843c624c993a8eed (patch)
tree856ac364aecbf707f2982a3595cc85ce4e55e8e3 /resources
parentd90dfb0a08bcc82200227afd7ab3c0b2ab72a91e (diff)
download/grub: delete grub if gnulib cloning fails
for our purposes, grub and gnulib are one in the same if one fails, both have failed exit with non-zero status if gnulib fails the script sets -e so it will fail if grub fails to download, which is tried before gnulib, and if that happens, the grub directory is not created
Diffstat (limited to 'resources')
-rwxr-xr-xresources/scripts/download/grub11
1 files changed, 9 insertions, 2 deletions
diff --git a/resources/scripts/download/grub b/resources/scripts/download/grub
index 5d0c1aad..ff1ce55c 100755
--- a/resources/scripts/download/grub
+++ b/resources/scripts/download/grub
@@ -2,7 +2,8 @@
# helper script: Downloads GRUB and patches it.
#
-# Copyright (C) 2014, 2015, 2016, 2020, 2021 Leah Rowe <info@minifree.org>
+# Copyright (C) 2014,2015,2016,2020,2021,2023 Leah Rowe
+# <info@minifree.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,4 +23,10 @@
set -u -e
./gitclone grub
-./gitclone gnulib
+./gitclone gnulib || rm -Rf grub/
+if [ ! -d grub ]; then
+ printf "%s: Could not download grub and gnulib\n" ${0}
+ exit 1
+else
+ exit 0
+fi